Package org.springframework.cglib.transform.impl

# Class AddStaticInitTransformer

java.lang.Object
org.springframework.asm.ClassVisitor
org.springframework.cglib.core.ClassTransformer
org.springframework.cglib.core.ClassEmitter
org.springframework.cglib.transform.ClassEmitterTransformer
org.springframework.cglib.transform.impl.AddStaticInitTransformer

public class AddStaticInitTransformer extends ClassEmitterTransformer

Author:
  Juozas Baliuka, Chris Nokleberg

## Field Summary

### Fields inherited from class org.springframework.asm.ClassVisitor

`api, cv`

## Constructor Summary

Constructors
Constructor
Description
`AddStaticInitTransformer(Method classInit)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`init()`

### Methods inherited from class org.springframework.cglib.core.ClassEmitter

`begin_class, begin_method, begin_static, declare_field, end_class, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, setTarget, visit, visitEnd, visitField, visitMethod`

### Methods inherited from class org.springframework.asm.ClassVisitor

`getDelegate, visitAnnotation, visitAttribute, visitInnerClass, visitModule, visitNestHost, visitNestMember, visitOuterClass, visitPermittedSubclass, visitRecordComponent, visitSource, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AddStaticInitTransformer

public AddStaticInitTransformer(Method classInit)

## Method Details

### init

protected void init()

Overrides:
  `init` in class `ClassEmitter`